Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class NoSuchChildException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.NoSuchChildException

All Implemented Interfaces:
  Serializable

    public class NoSuchChildException

extends XMLException

Indicates that a child with a certain name and/or namespace does not exist. This is thrown when you attempt to remove a node from a parent that does not actually have that node as a child.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  `ParentNode.removeChild(Node)`, Serialized Form

Constructor Summary
`NoSuchChildException(String message)` Creates a new `NoSuchChildException` with a detail message.
`NoSuchChildException(String message, Throwable cause)` Creates a new `NoSuchChildException` with the specified detail message and an underlying root cause.

Method Summary

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchChildException

    public NoSuchChildException(String message)

  Creates a new `NoSuchChildException` with a detail message.

  Parameters:
    `message` - explains the reason for the exception

### NoSuchChildException

    public NoSuchChildException(String message,
                                Throwable cause)

  Creates a new `NoSuchChildException` with the specified detail message and an underlying root cause.

  Parameters:
    `message` - explains the reason for the exception
    `cause` - the nested exception that caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org